跳至內容

Kling O1 First Frame Last Frame to Video [Pro]

整合

模型 id kling-video/o1/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/o1/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.56 560 API 點數 在此頁面執行

取得 API 金鑰
Kling · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 2500

影格參考:@Image1 識別起始影格,而 @Image2 識別結束影格。

•必填 start_image_url
拖放檔案,或

提供影片開頭影格的圖像,限制為 50 MB。寬度和高度各至少為 300 px,寬高比介於 0.40 和 2.50 之間。逾時時間為 20 秒。

duration 5 s

以秒為單位的影片長度。

進階 end_image · enable_safety_checker
end_image_url
拖放檔案,或

提供影片結尾影格的圖像,限制為 50 MB。寬度和高度各至少為 300 px,寬高比介於 0.40 和 2.50 之間。

POST /run/kling-video/o1/image-to-video?wait=20 報價 → $0.56
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/o1/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Kling O1 First Frame Last Frame to Video [Pro]

在必要的起始影像(`start_image_url`)與可選的結束影像(`end_image_url`)之間製作動畫轉場,並由最多 2500 個字元的提示詞引導。在提示詞中,@Image1 代表起始影格,@Image2 代表結束影格。`duration` 可設為 3 到 10 秒,間隔為一秒。這是模型的 Pro 版本。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
enable_safety_checker選填
類型boolean
預設值true
只有經帳戶授權才能停用安全檢查;未經授權的請求一律會接受檢查。
prompt必填
類型string
≤ 2,500 個字元
影格參考:@Image1 識別起始影格,而 @Image2 識別結束影格。
start_image_url必填 image
類型url · image
提供影片開頭影格的圖像,限制為 50 MB。寬度和高度各至少為 300 px,寬高比介於 0.40 和 2.50 之間。逾時時間為 20 秒。
end_image_url選填 end_image
類型url · image
提供影片結尾影格的圖像,限制為 50 MB。寬度和高度各至少為 300 px,寬高比介於 0.40 和 2.50 之間。
duration選填
類型enum
預設值5
345678910
以秒為單位的影片長度。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/o1/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 560,
    "usd": "0.56",
    "charged": 560,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "start_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}模型產生的影片。

更多模型:圖像轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/kling-video/o1/image-to-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt